Tasks
Patch v1tasks
PATCH
/
v1
/
tasks
/
{task_uuid}
cURL
curl --request PATCH \
--url https://api.lighthousefh.com/v1/tasks/{task_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assigned_to": "<string>",
"content": "<string>",
"due_at": "<string>",
"is_completed": true
}
'import requests
url = "https://api.lighthousefh.com/v1/tasks/{task_uuid}"
payload = {
"assigned_to": "<string>",
"content": "<string>",
"due_at": "<string>",
"is_completed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assigned_to: '<string>',
content: '<string>',
due_at: '<string>',
is_completed: true
})
};
fetch('https://api.lighthousefh.com/v1/tasks/{task_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_completed": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_to": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_at": "2023-12-25",
"generation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Task UUID
Body
application/json
⌘I
cURL
